Compare commits

..

1 Commits
0.8 ... 0.6

Author SHA1 Message Date
Eelco Dolstra
2b6c83f1f5 * Mark release as stable.
svn path=/nixpkgs/branches/0.6-release/; revision=1767
2004-11-14 12:36:14 +00:00
444 changed files with 1530 additions and 4014 deletions

48
NEWS
View File

@@ -1,48 +0,0 @@
Nix Packages 0.8 (April 11, 2005)
* This release is mostly to remain synchronised with the changed
hashing scheme in Nix 0.8.
* Notable updates:
- Adobe Reader 7.0
- Various security updates (zlib 1.2.2, etc.)
Nix Packages 0.7 (March 14, 2005)
* The bootstrap process for the standard build environment on Linux
(stdenv-linux) has been improved. It is no longer dependent in its
initial bootstrap stages on the system Glibc, GCC, and other tools.
Rather, Nixpkgs contains a statically linked bash and curl, and uses
that to download other statically linked tools. These are then used
to build a Glibc and dynamically linked versions of all other
tools.
This change also makes the bootstrap process faster. For instance,
GCC is built only once instead of three times.
(Contributed by Armijn Hemel.)
* Tarballs used by Nixpkgs are now obtained from the same server that
hosts Nixpkgs (catamaran.labs.cs.uu.nl). This reduces the risk of
packages being unbuildable due to moved or deleted files on various
servers.
* There now is a generic mechanism for building Perl modules. See the
various Perl modules defined in pkgs/system/all-packages-generic.nix.
* Notable new packages:
- Qt 3
- MySQL
- MythTV
- Mono
- MonoDevelop (alpha)
- Xine
* Notable updates:
- GCC 3.4.3
- Glibc 2.3.4
- GTK 2.6

View File

@@ -1 +0,0 @@
0.8

View File

@@ -1,28 +0,0 @@
#! /bin/sh -e
find . -name "*.nix" | while read fn; do
grep -E '^ *url = ' "$fn" | while read line; do
if oldURL=$(echo "$line" | sed 's^url = \(.*\);^\1^'); then
if ! echo "$oldURL" | grep -q -E ".cs.uu.nl|.stratego-language.org|java.sun.com|ut2004|linuxq3a|RealPlayer|Adbe"; then
base=$(basename $oldURL)
newURL="http://catamaran.labs.cs.uu.nl/dist/tarballs/$base"
newPath="/mnt/scratchy/eelco/public_html/tarballs/$base"
echo "$fn: $oldURL -> $newURL"
if ! test -e "$newPath"; then
curl --fail --location --max-redirs 20 "$oldURL" > "$newPath".tmp
mv -f "$newPath".tmp "$newPath"
fi
sed "s^$oldURL^$newURL^" < "$fn" > "$fn".tmp
mv -f "$fn".tmp "$fn"
fi
fi
done
done

View File

@@ -34,22 +34,4 @@ include/X11/IntrinsicP.h:202:25: X11/ObjectP.h: No such file or directory
(moved to include/X11; should edit include/Makefile.am)
* `ld' on Mac OS X barfs if the timestamp on static libraries has
changed (which happens if they are installed through a substitute).
Typical error:
/usr/bin/ld: table of contents for archive: libATerm.a is out of
date; rerun ranlib(1) (can't load from it)
Solution: patch ld.
Non-solution: extend NAR file format to include timestamps. We
don't want that because they introduce a source of non-determinism.
To catch problems like this one determistically, we should change
the timestamp on store objects to 0.
* In gtksourceview-sharp: does the prefix patch cause problems (e.g.,
makefile.am says "mimeinfodir should be the same as the gnome
prefix")?
* Add "exit 0" at the end of configure of rte package.

View File

@@ -53,9 +53,6 @@ ELSE IF it's a TOOL (or set of):
ELSE IF it's a COMPRESSION program:
./tools/compression
(e.g., gzip, bzip2)
ELSE IF it's a SECURITY program:
./tools/security
(e.g., nmap, gnupg)
ELSE
./tools/misc

View File

1
pkgs/VERSION Normal file
View File

@@ -0,0 +1 @@
0.6

View File

@@ -1,11 +0,0 @@
{stdenv, fetchurl}:
stdenv.mkDerivation {
name = "cdparanoia-III-alpha9.8";
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/cdparanoia-III-alpha9.8.src.tgz;
md5 = "7218e778b5970a86c958e597f952f193" ;
};
patches = [./fix.patch];
}

View File

@@ -1,46 +0,0 @@
*** cdparanoia-III-alpha9.8/interface/utils.h Thu Apr 20 00:41:04 2000
--- cdparanoia-III-alpha9.8-old/interface/utils.h Wed Jan 19 21:44:08 2005
***************
*** 110,117 ****
case CDDA_MESSAGE_LOGIT:
d->errorbuf=catstring(d->errorbuf,s);
break;
- case CDDA_MESSAGE_FORGETIT:
- default:
}
}
}
--- 110,115 ----
***************
*** 125,132 ****
case CDDA_MESSAGE_LOGIT:
d->messagebuf=catstring(d->messagebuf,s);
break;
- case CDDA_MESSAGE_FORGETIT:
- default:
}
}
}
--- 123,128 ----
***************
*** 167,174 ****
}
}
break;
- case CDDA_MESSAGE_FORGETIT:
- default:
}
}
if(malloced)free(buffer);
--- 163,168 ----
***************
*** 203,210 ****
if(!malloced)*messages=catstring(*messages,"\n");
}
break;
- case CDDA_MESSAGE_FORGETIT:
- default:
}
}
if(malloced)free(buffer);
--- 197,202 ----

View File

@@ -1,11 +0,0 @@
{stdenv, fetchurl, libogg}:
stdenv.mkDerivation {
name = "flac-1.1.1";
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/flac-1.1.1.tar.gz;
md5 = "c6ccddccf8ad344065698047c2fc7280" ;
};
buildInputs = [libogg] ;
}

View File

@@ -1,9 +0,0 @@
{stdenv, fetchurl}:
stdenv.mkDerivation {
name = "lame-3.96.1";
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/lame-3.96.1.tar.gz;
md5 = "e1206c46a5e276feca11a7149e2fc6ac" ;
};
}

View File

@@ -11,7 +11,7 @@ let {
bindist =
fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/eclipse-SDK-3.0.1-linux-gtk.zip;
url = http://ftp-stud.fht-esslingen.de/pub/Mirrors/eclipse/R-3.0.1-200409161125/eclipse-SDK-3.0.1-linux-gtk.zip;
md5 = "d0f743c972adf13e71a43b2dc6c9c55b";
};
}

View File

@@ -4,7 +4,7 @@ stdenv.mkDerivation {
name = "emacs-21.3";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/emacs-21.3.tar.gz;
url = http://ftp.gnu.org/pub/gnu/emacs/emacs-21.3.tar.gz;
md5 = "a0bab457cbf5b4f8eb99d1d0a3ada420";
};
patches = [./patchfile];

View File

@@ -2,7 +2,7 @@
name = "cua-mode-2.10";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/cua-mode-2.10.el;
url = http://www.cua.dk/cua.el;
md5 = "5bf5e43f5f38c8383868c7c6c5baca09";
};
}

View File

@@ -1,6 +0,0 @@
. $stdenv/setup
mkdir -p $out/emacs/site-lisp
tar zxvf $src
cp haskell-mode*/*.el $out/emacs/site-lisp
cp haskell-mode*/*.hs $out/emacs/site-lisp

View File

@@ -1,8 +0,0 @@
{stdenv, fetchurl}: stdenv.mkDerivation {
name = "haskell-mode-1.45";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/haskell-mode-1.45.tar.gz;
md5 = "c609998580cdb9ca8888c7d47d22ca3b";
};
}

View File

@@ -2,7 +2,7 @@
name = "nxml-mode-20041004";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/nxml-mode-20041004.tar.gz;
url = http://www.thaiopensource.com/download/nxml-mode-20041004.tar.gz;
md5 = "ac137024cf337d6f11d8ab278d39b4db";
};
}

View File

@@ -1,29 +0,0 @@
. $stdenv/setup
. $makeWrapper
export MONO_GAC_PREFIX=$monodoc:$gtksharp
postInstall=postInstall
postInstall() {
mv $out/bin $out/bin-orig
mkdir $out/bin
moz=$(ls $mozilla/lib/*/libgtkembedmoz.so)
for i in $out/bin-orig/*; do
echo "wrapping $(basename $i)"
# !!! TODO: figure out the MONO_GAC_PREFIX automatically
makeWrapper "$i" "$out/bin/$(basename $i)" \
--suffix PATH ':' "$(dirname $(type -p mono))" \
--suffix PATH ':' "$(dirname $(type -p mono))" \
--suffix LD_LIBRARY_PATH ':' "$gtksharp/lib" \
--suffix MONO_GAC_PREFIX ':' "$gtksharp" \
--suffix MONO_GAC_PREFIX ':' "$gtkmozembedsharp" \
--suffix MONO_GAC_PREFIX ':' "$gtksourceviewsharp" \
--suffix MONO_GAC_PREFIX ':' "$monodoc" \
--set MOZILLA_FIVE_HOME "$(dirname $moz)"
done
}
genericBuild

View File

@@ -1,28 +0,0 @@
{ stdenv, fetchurl, file, mono, gtksharp, gtksourceviewsharp
, gtkmozembedsharp, monodoc
, perl, perlXMLParser, pkgconfig
, glib, gtk, gconf, gnomevfs, libbonobo, libglade, libgnome
, mozilla
}:
stdenv.mkDerivation {
name = "monodevelop-0.6-pre2315";
builder = ./builder.sh;
src = fetchurl {
url = http://losser.labs.cs.uu.nl/~eelco/mono-tmp/monodevelop-0.6-pre2315.tar.bz2;
md5 = "8c33df5629b0676b7ab552854c1de6fd";
};
makeWrapper = ../../../build-support/make-wrapper/make-wrapper.sh;
patches = [./prefix.patch];
buildInputs = [
file mono gtksharp gtksourceviewsharp perl perlXMLParser pkgconfig
glib gtk gconf gnomevfs libbonobo libglade libgnome
gtkmozembedsharp monodoc
];
inherit mozilla monodoc gtksharp gtkmozembedsharp gtksourceviewsharp;
}

View File

@@ -1,44 +0,0 @@
diff -rc MonoDevelop-orig/Makefile.in MonoDevelop/Makefile.in
*** MonoDevelop-orig/Makefile.in 2005-03-09 17:43:58.000000000 +0100
--- MonoDevelop/Makefile.in 2005-03-09 18:10:20.000000000 +0100
***************
*** 298,304 ****
# (mkdir ../../build/bin/ hack)
SUBDIRS = Core build po Extras
bin_SCRIPTS = monodevelop
! gnome_data = @gnome_prefix@/share
desktopdir = $(gnome_data)/applications
desktop_DATA = monodevelop.desktop
pixmapdir = $(gnome_data)/pixmaps
--- 298,304 ----
# (mkdir ../../build/bin/ hack)
SUBDIRS = Core build po Extras
bin_SCRIPTS = monodevelop
! gnome_data = @prefix@/share
desktopdir = $(gnome_data)/applications
desktop_DATA = monodevelop.desktop
pixmapdir = $(gnome_data)/pixmaps
***************
*** 809,818 ****
all:
install-data-hook:
! $(UPDATE_MIME_DB) $(gnome_data)/mime
uninstall-hook:
! $(UPDATE_MIME_DB) $(gnome_data)/mime
run: runmd
--- 809,818 ----
all:
install-data-hook:
! # $(UPDATE_MIME_DB) $(gnome_data)/mime
uninstall-hook:
! # $(UPDATE_MIME_DB) $(gnome_data)/mime
run: runmd
Only in MonoDevelop: Makefile.in~

View File

@@ -1,21 +0,0 @@
. $stdenv/setup
. $makeWrapper
postInstall=postInstall
postInstall() {
mv $out/bin $out/bin-orig
mkdir $out/bin
for i in $out/bin-orig/*; do
echo "wrapping $(basename $i)"
# !!! TODO: figure out the MONO_GAC_PREFIX automatically
makeWrapper "$i" "$out/bin/$(basename $i)" \
--suffix PATH ':' "$(dirname $(type -p mono))" \
--suffix MONO_GAC_PREFIX ':' "$gtksharp" \
--suffix MONO_GAC_PREFIX ':' "$out"
done
}
genericBuild

View File

@@ -1,17 +0,0 @@
{stdenv, fetchurl, mono, gtksharp, pkgconfig}:
stdenv.mkDerivation {
name = "monodoc-1.0.6";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/monodoc-1.0.6.tar.gz;
md5 = "f2fc27e8e4717d90dc7efa2450625693";
};
makeWrapper = ../../../build-support/make-wrapper/make-wrapper.sh;
buildInputs = [mono gtksharp pkgconfig];
inherit gtksharp;
}

View File

@@ -4,7 +4,7 @@ stdenv.mkDerivation {
name = "nano-1.2.4";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/nano-1.2.4.tar.gz;
url = http://www.nano-editor.org/dist/v1.2/nano-1.2.4.tar.gz;
md5 = "2c513310ec5e8b63abaecaf48670ac7a";
};

View File

@@ -5,7 +5,7 @@ stdenv.mkDerivation {
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/vim-6.3.tar.bz2;
url = ftp://ftp.vim.org/mirror/vim/unix/vim-6.3.tar.bz2;
md5 = "821fda8f14d674346b87e3ef9cb96389";
};

View File

@@ -1,28 +0,0 @@
. $stdenv/setup
. $makeWrapper
postInstall=postInstall
postInstall() {
mv $out/bin $out/bin-orig
mkdir $out/bin
for i in $out/bin-orig/*; do
echo "wrapping $(basename $i)"
# !!! TODO: figure out the MONO_GAC_PREFIX automatically
makeWrapper "$i" "$out/bin/$(basename $i)" \
--prefix PATH ':' "$(dirname $(type -p mono))" \
--prefix LD_LIBRARY_PATH ':' "$sqlite/lib" \
--prefix LD_LIBRARY_PATH ':' "$libgnomeui/lib/libglade/2.0" \
--prefix MONO_GAC_PREFIX ':' "$gtksharp"
done
# !!! hack
export ALL_INPUTS="$out $pkgs"
find $out -name "*.dll.config" -o -name "*.exe.config" | while read configFile; do
echo "modifying config file $configFile"
$monoDLLFixer "$configFile"
done
}
genericBuild

View File

@@ -1,26 +0,0 @@
{ stdenv, fetchurl, perl, perlXMLParser, pkgconfig, mono, libexif
, libgnome, libgnomeui, gtksharp, libjpeg, sqlite, lcms, libgphoto2
, monoDLLFixer
}:
stdenv.mkDerivation {
name = "f-spot-0.0.10";
builder = ./builder.sh;
makeWrapper = ../../../build-support/make-wrapper/make-wrapper.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/f-spot-0.0.10.tar.bz2;
md5 = "19cc6e067ccc261b0502ff6189b79832";
};
patches = [./dllmap.patch];
buildInputs = [
perl perlXMLParser pkgconfig mono libexif
libgnome libgnomeui gtksharp libjpeg sqlite
lcms libgphoto2
];
inherit monoDLLFixer gtksharp sqlite libgnomeui;
}

View File

@@ -1,28 +0,0 @@
diff -rc f-spot-0.0.10-orig/libgphoto2-sharp/libgphoto2-sharp.dll.config f-spot-0.0.10/libgphoto2-sharp/libgphoto2-sharp.dll.config
*** f-spot-0.0.10-orig/libgphoto2-sharp/libgphoto2-sharp.dll.config 2005-02-27 19:25:09.000000000 +0100
--- f-spot-0.0.10/libgphoto2-sharp/libgphoto2-sharp.dll.config 2005-03-11 12:13:12.000000000 +0100
***************
*** 1,3 ****
<configuration>
! <dllmap dll="libgphoto2.so" target="/usr/lib/libgphoto2.so.2"/>
</configuration>
--- 1,3 ----
<configuration>
! <dllmap dll="libgphoto2.so" target="libgphoto2.so.2"/>
</configuration>
diff -rc f-spot-0.0.10-orig/src/f-spot.exe.config.in f-spot-0.0.10/src/f-spot.exe.config.in
*** f-spot-0.0.10-orig/src/f-spot.exe.config.in 2005-02-27 18:03:02.000000000 +0100
--- f-spot-0.0.10/src/f-spot.exe.config.in 2005-03-11 12:48:03.000000000 +0100
***************
*** 9,13 ****
<dllmap dll="libfspoteog" target="@prefix@/lib/f-spot/libfspoteog.so.0"/>
<dllmap dll="libfspotjpeg" target="@prefix@/lib/f-spot/libfspotjpg.so.0"/>
<dllmap dll="liblcms-1.0.0.dll" target="liblcms.so.1"/>
! <dllmap dll="libexif.dll" target="libexif.so.@EXIF_SOVERSION@"/>
</configuration>
--- 9,13 ----
<dllmap dll="libfspoteog" target="@prefix@/lib/f-spot/libfspoteog.so.0"/>
<dllmap dll="libfspotjpeg" target="@prefix@/lib/f-spot/libfspotjpg.so.0"/>
<dllmap dll="liblcms-1.0.0.dll" target="liblcms.so.1"/>
! <dllmap dll="libexif.dll" target="libexif.so"/>
</configuration>

View File

@@ -6,11 +6,11 @@ assert pkgconfig != null && gtk != null && libpng != null;
# !!! assert libpng == gtk.libpng;
stdenv.mkDerivation {
name = "gqview-2.0.0";
name = "gqview-1.4.4";
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/gqview-2.0.0.tar.gz;
md5 = "421c9a79827e91e394bdfc924071d66f";
url = http://heanet.dl.sourceforge.net/sourceforge/gqview/gqview-1.4.4.tar.gz;
md5 = "b3f1e1ca830c9cc0b484966fac9e6f28";
};
buildInputs = [pkgconfig gtk libpng];

View File

@@ -6,23 +6,16 @@ tar xvfz $src
mkdir $out
echo "unpacking reader..."
tar xvf AdobeReader/COMMON.TAR -C $out
tar xvf AdobeReader/ILINXR.TAR -C $out
# Disable this plugin for now (it needs LDAP, and I'm too lazy to add it).
rm $out/Reader/intellinux/plug_ins/PPKLite.api
tar xvf ./COMMON.TAR -C $out
tar xvf ./LINUXRDR.TAR -C $out
glibc=$(cat $NIX_GCC/nix-support/orig-glibc)
patchelf --interpreter $glibc/lib/ld-linux.so.* $out/Reader/intellinux/bin/acroread
fullPath=
for i in $libPath; do
fullPath=$fullPath${fullPath:+:}$i/lib
done
echo "#! $SHELL" > $out/bin/acroread.tmp
echo "LD_LIBRARY_PATH=$fullPath\${LD_LIBRARY_PATH:+:}\$LD_LIBRARY_PATH" >> $out/bin/acroread.tmp
cat $out/bin/acroread >> $out/bin/acroread.tmp
chmod 755 $out/bin/acroread.tmp
mv $out/bin/acroread.tmp $out/bin/acroread
sed "s^REPLACE_ME^$out/Reader^" $out/bin/acroread.sh > $out/bin/acroread.sh.tmp
echo "#! /bin/sh" > $out/bin/acroread.sh
echo "LD_LIBRARY_PATH=$libXt/lib:$libXp/lib:$libXext/lib:$libX11/lib" >> $out/bin/acroread.sh
cat $out/bin/acroread.sh.tmp >> $out/bin/acroread.sh
chmod 755 $out/bin/acroread.sh
mv $out/bin/acroread.sh $out/bin/acroread

View File

@@ -1,12 +1,12 @@
{stdenv, fetchurl, libXt, libXp, libXext, libX11, glib, pango, atk, gtk, libstdcpp5, zlib}:
{stdenv, fetchurl, patchelf, libXt, libXp, libXext, libX11}:
stdenv.mkDerivation {
name = "acrobat-reader-7.0";
name = "acrobat-reader-5.0.9";
builder = ./builder.sh;
src = fetchurl {
url = ftp://ftp.adobe.com/pub/adobe/reader/unix/7x/7.0/enu/AdbeRdr70_linux_enu.tar.gz;
md5 = "f847ce21e5d871837f2dc1d2f1baf9a9";
url = http://ardownload.adobe.com/pub/adobe/acrobatreader/unix/5.x/linux-509.tar.gz;
md5 = "53b7ca0fc83ab81214ba82050ce89c64";
};
libPath = [libXt libXp libXext libX11 glib pango atk gtk libstdcpp5 zlib];
buildInputs = [patchelf];
inherit libXt libXp libXext libX11;
}

View File

@@ -4,7 +4,7 @@ stdenv.mkDerivation {
name = "hello-2.1.1";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/hello-2.1.1.tar.gz;
url = ftp://ftp.nluug.nl/pub/gnu/hello/hello-2.1.1.tar.gz;
md5 = "70c9ccf9fac07f762c24f2df2290784d";
};
inherit perl;

View File

@@ -3,7 +3,7 @@
stdenv.mkDerivation {
name = "hello-2.1.1";
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/hello-2.1.1.tar.gz;
url = ftp://ftp.nluug.nl/pub/gnu/hello/hello-2.1.1.tar.gz;
md5 = "70c9ccf9fac07f762c24f2df2290784d";
};
buildInputs = [perl];

View File

@@ -3,7 +3,7 @@
stdenv.mkDerivation {
name = "xchm-0.9.1";
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/xchm-0.9.1.tar.gz;
url = http://belnet.dl.sourceforge.net/sourceforge/xchm/xchm-0.9.1.tar.gz;
md5 = "5ba671e09e4c3ac46ffb5ce9d2c985eb";
};
buildInputs = [wxGTK chmlib];

View File

@@ -1,7 +1,27 @@
. $stdenv/setup
. $makeWrapper
makeWrapper "$firefox/bin/firefox" "$out/bin/firefox" \
--suffix-each MOZ_PLUGIN_PATH ':' "$plugins" \
--suffix-contents LD_LIBRARY_PATH ':' "$(filterExisting $(addSuffix /extra-library-path $plugins))" \
--suffix-contents PATH ':' "$(filterExisting $(addSuffix /extra-bin-path $plugins))"
shopt -s nullglob
mkdir -p $out/bin
pluginPath=
extraLibPath=
for i in $plugins; do
for p in $i/lib/mozilla/plugins $i/jre/plugin/*/mozilla; do
if test -e $p; then
pluginPath=$pluginPath${pluginPath:+:}$p
if test -e $p/extra-library-path; then
extraLibPath=$extraLibPath${extraLibPath:+:}$(cat $p/extra-library-path)
fi
fi
done
done
cat > $out/bin/firefox <<EOF
#! $SHELL
export LD_LIBRARY_PATH=$extraLibPath
export MOZ_PLUGIN_PATH=$pluginPath
exec $firefox/bin/firefox "\$@"
EOF
chmod +x $out/bin/firefox

View File

@@ -4,11 +4,6 @@ stdenv.mkDerivation {
name = firefox.name;
builder = ./builder.sh;
makeWrapper = ../../../../build-support/make-wrapper/make-wrapper.sh;
inherit firefox;
# Let each plugin tell us (through its `mozillaPlugin') attribute
# where to find the plugin in its tree.
plugins = map (x: x ~ x.mozillaPlugin) plugins;
inherit firefox plugins;
}

View File

@@ -3,12 +3,12 @@
# !!! assert libIDL.glib == gtk.glib;
(stdenv.mkDerivation {
name = "firefox-1.0.2";
name = "firefox-1.0";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/firefox-1.0.2-source.tar.bz2;
md5 = "fd1a0dec3e763e93eb45c0c34b399712";
url = ftp://ftp.eunet.ie/mirrors/ftp.mozilla.org/firefox/releases/1.0/source/firefox-1.0-source.tar.bz2;
md5 = "49c16a71f4de014ea471be81e46b1da8";
};
buildInputs = [pkgconfig gtk perl zip libIDL libXi];

View File

@@ -8,7 +8,7 @@ stdenv.mkDerivation {
name = "lynx-2.8.5";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/lynx2.8.5.tar.bz2;
url = http://lynx.isc.org/release/lynx2.8.5.tar.bz2;
md5 = "d1e5134e5d175f913c16cb6768bc30eb";
};
inherit ncurses;

View File

@@ -1,13 +1,13 @@
{stdenv, fetchurl, zlib, libXmu}:
(stdenv.mkDerivation {
stdenv.mkDerivation {
name = "flashplayer-7.0r25";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/install_flash_player_7_linux.tar.gz;
url = http://fpdownload.macromedia.com/get/shockwave/flash/english/linux/7.0r25/install_flash_player_7_linux.tar.gz;
md5 = "79c59a5ea29347e01c8e6575dd054cd1";
};
inherit zlib libXmu;
}) // {mozillaPlugin = "/lib/mozilla/plugins";}
}

View File

@@ -4,16 +4,16 @@
# are the include files so that we can access the plugin API (I
# think).
(stdenv.mkDerivation {
name = "mplayerplug-in-2.80";
stdenv.mkDerivation {
name = "mplayerplug-in-2.70";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/mplayerplug-in-2.80.tar.gz;
md5 = "ce3235ff7d46fae416cfb175193a5f25";
url = http://heanet.dl.sourceforge.net/sourceforge/mplayerplug-in/mplayerplug-in-2.70.tar.gz;
md5 = "90784c7ccb40037b446053f0c1d1c2b4";
};
buildInputs = [pkgconfig firefox (firefox.gtk) libXpm];
inherit firefox;
}) // {mozillaPlugin = "/lib/mozilla/plugins";}
}

View File

@@ -1,14 +1,14 @@
buildInputs="$gtk $gdkpixbuf $openssl"
. $stdenv/setup
if test "$sslSupport" = 1; then
configureFlags="--enable-ssl $configureFlags"
if test $sslSupport; then
configureFlags="--enable-ssl $extraflags"
fi
if test "$imageSupport" = 1; then
configureFlags="--enable-gdk-pixbuf $configureFlags"
if test $imageSupport; then
configureFlags="--enable-gdk-pixbuf $extraflags"
else
configureFlags="--disable-gdk-pixbuf --disable-imlibtest $configureFlags"
configureFlags="--disable-gdk-pixbuf --disable-imlibtest $extraflags"
fi
genericBuild

View File

@@ -8,12 +8,12 @@ assert sslSupport -> openssl != null;
assert imageSupport -> gdkpixbuf != null;
stdenv.mkDerivation {
name = "sylpheed-1.0.0";
name = "sylpheed-0.9.12";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/sylpheed-1.0.0.tar.bz2;
md5 = "864c4fc581a5ab1c7af5e06153c76769";
url = http://sylpheed.good-day.net/sylpheed/sylpheed-0.9.12.tar.bz2;
md5 = "5deab7d65f8e19444902be3d82610e6b";
};
inherit sslSupport imageSupport;

View File

@@ -10,7 +10,7 @@ stdenv.mkDerivation {
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/thunderbird-source-0.8.tar.bz2;
url = http://www.artfiles.org/mozilla.org/thunderbird/releases/0.8/thunderbird-source-0.8.tar.bz2;
md5 = "76de1827d66ac482cfc4dd32e7b1e257";
};

View File

@@ -12,7 +12,7 @@ stdenv.mkDerivation {
name = "pan-0.14.2.91";
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/pan-0.14.2.91.tar.bz2;
url = http://pan.rebelbase.com/download/releases/0.14.2.91/SOURCE/pan-0.14.2.91.tar.bz2;
md5 = "4770d899a1c1ba968ce96bc5aeb07b62";
};

View File

@@ -1,10 +0,0 @@
{stdenv, fetchurl}:
stdenv.mkDerivation {
name = "rcs-5.7";
# builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/rcs-5.7.tar;
md5 = "f7b3f106bf87ff6344df38490f6a02c5";
};
}

View File

@@ -0,0 +1,35 @@
buildInputs="$openssl $db4 $httpd $swig $python $expat"
. $stdenv/setup
configureFlags="--without-gdbm --disable-static"
if test "$localServer"; then
configureFlags="--with-berkeley-db=$db4 $configureFlags"
fi
if test "$sslSupport"; then
configureFlags="--with-ssl --with-libs=$openssl $configureFlags"
fi
if test "$httpServer"; then
configureFlags="--with-apxs=$httpd/bin/apxs --with-apr=$httpd --with-apr-util=$httpd $configureFlags"
makeFlags="APACHE_LIBEXECDIR=$out/modules $makeFlags"
fi
if test "$swigBindings"; then
configureFlags="--with-swig=$swig $configureFlags"
fi
installFlags="$makeFlags"
postInstall() {
if test "$swigBindings"; then
make swig-py
make install-swig-py
fi
}
postInstall=postInstall
genericBuild

View File

@@ -0,0 +1,31 @@
{ localServer ? false
, httpServer ? false
, sslSupport ? false
, swigBindings ? false
, stdenv, fetchurl
, openssl ? null, httpd ? null, db4 ? null, expat, swig ? null
}:
assert expat != null;
assert localServer -> db4 != null;
assert httpServer -> httpd != null && httpd.expat == expat;
assert sslSupport -> openssl != null && (httpServer -> httpd.openssl == openssl);
assert swigBindings -> swig != null && swig.pythonSupport;
stdenv.mkDerivation {
name = "subversion-1.0.9";
builder = ./builder.sh;
src = fetchurl {
url = http://subversion.tigris.org/tarballs/subversion-1.0.9.tar.bz2;
md5 = "d6b4c240f5e2a589a694e64e4ad27feb";
};
openssl = if sslSupport then openssl else null;
httpd = if httpServer then httpd else null;
db4 = if localServer then db4 else null;
swig = if swigBindings then swig else null;
python = if swigBindings then swig.python else null;
inherit expat localServer httpServer sslSupport swigBindings;
}

View File

@@ -1,4 +1,4 @@
buildInputs="$openssl $zlib $db4 $httpd $swig $python $j2sdk $expat $patch"
buildInputs="$openssl $db4 $httpd $swig $python $j2sdk $expat $patch"
. $stdenv/setup
configureFlags="--without-gdbm --disable-static"

View File

@@ -1,12 +1,11 @@
{ localServer ? false
, httpServer ? false
, sslSupport ? false
, compressionSupport ? false
, pythonBindings ? false
, javaSwigBindings ? false
, javahlBindings ? false
, stdenv, fetchurl
, openssl ? null, httpd ? null, db4 ? null, expat, swig ? null, j2sdk ? null, zlib ? null
, openssl ? null, httpd ? null, db4 ? null, expat, swig ? null, j2sdk ? null
}:
assert expat != null;
@@ -16,15 +15,14 @@ assert sslSupport -> openssl != null && (httpServer -> httpd.openssl == openssl)
assert pythonBindings -> swig != null && swig.pythonSupport;
assert javaSwigBindings -> swig != null && swig.javaSupport;
assert javahlBindings -> j2sdk != null;
assert compressionSupport -> zlib != null;
stdenv.mkDerivation {
name = "subversion-1.1.4";
name = "subversion-1.1.1";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/subversion-1.1.4.tar.bz2;
md5 = "6e557ae65b6b8d7577cc7704ede85a23";
url = http://subversion.tigris.org/tarballs/subversion-1.1.1.tar.bz2;
md5 = "a180c3fe91680389c210c99def54d9e0";
};
# This is a hopefully temporary fix for the problem that
@@ -33,7 +31,6 @@ stdenv.mkDerivation {
patches = if javahlBindings then [./javahl.patch] else [];
openssl = if sslSupport then openssl else null;
zlib = if compressionSupport then zlib else null;
httpd = if httpServer then httpd else null;
db4 = if localServer then db4 else null;
swig = if pythonBindings || javaSwigBindings then swig else null;

View File

@@ -1,8 +1,5 @@
. $stdenv/setup
# !!! Remove eventually.
export _POSIX2_VERSION=199209
postUnpack() {
unpackFile $fonts
}

View File

@@ -1,21 +1,20 @@
{ alsaSupport ? false, xvSupport ? true, theoraSupport ? false
, stdenv, fetchurl, x11, freetype, zlib
, alsa ? null, libXv ? null, libtheora ? null}:
{ alsaSupport ? false, xvSupport ? true
, stdenv, fetchurl, x11, libXv, freetype, zlib, alsa ? null}:
assert x11 != null && freetype != null;
assert alsaSupport -> alsa != null;
assert xvSupport -> libXv != null;
assert theoraSupport -> libtheora != null;
stdenv.mkDerivation {
name = "MPlayer-1.0pre6";
name = "MPlayer-1.0pre4";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/MPlayer-1.0pre6a.tar.bz2;
md5 = "a812d945b884c2e2fa7f90c57cd76bff";
url = http://www2.mplayerhq.hu/MPlayer/releases/MPlayer-1.0pre4.tar.bz2;
md5 = "83ebac0f05b192516a41fca2350ca01a";
};
fonts = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/font-arial-iso-8859-1.tar.bz2;
url = http://www2.mplayerhq.hu/MPlayer/releases/fonts/font-arial-iso-8859-1.tar.bz2;
md5 = "1ecd31d17b51f16332b1fcc7da36b312";
};
@@ -27,6 +26,5 @@ stdenv.mkDerivation {
x11 libXv freetype zlib
(if alsaSupport then alsa else null)
(if xvSupport then libXv else null)
(if theoraSupport then libtheora else null)
];
}

View File

@@ -1,8 +1,8 @@
{stdenv, fetchurl}: stdenv.mkDerivation {
name = "MPlayer-codecs-essential-20050115";
name = "MPlayer-codecs-essential-20040427";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/essential-20050115.tar.bz2;
md5 = "b627e5710c6f2bf38fc2a6ef81c13be8";
url = http://www2.mplayerhq.hu/MPlayer/releases/codecs/essential-20040427.tar.bz2;
md5 = "4ffc1682448aa870aec9d8efc1321a09";
};
}

View File

@@ -1,21 +0,0 @@
. $stdenv/setup
. $makeWrapper
ensureDir $out/real
skip=143209
(dd bs=1 count=$skip of=/dev/null && dd) < $src | (cd $out/real && tar xvfj -)
rm -rf $out/real/Bin $out/real/postinst
glibc=$(cat $NIX_GCC/nix-support/orig-glibc)
patchelf --interpreter $glibc/lib/ld-linux.so.* $out/real/realplay.bin
ensureDir $out/bin
makeWrapper "$out/real/realplay.bin" "$out/bin/realplay" \
--set HELIX_LIBS "$out/real" \
--suffix-each LD_LIBRARY_PATH ':' "$(addSuffix /lib $libPath)"
echo "$libstdcpp5/lib" > $out/real/mozilla/extra-library-path
echo "$out/bin" > $out/real/mozilla/extra-bin-path

View File

@@ -1,21 +0,0 @@
{stdenv, fetchurl, libstdcpp5, glib, pango, atk, gtk, libX11}:
# Note that RealPlayer 10 need libstdc++.so.5, i.e., GCC 3.3, not 3.4.
assert stdenv.system == "i686-linux";
(stdenv.mkDerivation {
name = "RealPlayer-10.0.3.748-GOLD";
builder = ./builder.sh;
src = fetchurl {
url = http://software-dl.real.com/12ae5c4cc79d437fa106/unix/RealPlayer10GOLD.bin;
md5 = "70a88bcae0ab3e177e6fadecd6b8be24";
};
makeWrapper = ../../../build-support/make-wrapper/make-wrapper.sh;
inherit libstdcpp5;
libPath = [libstdcpp5 glib pango atk gtk libX11];
}) // {mozillaPlugin = "/real/mozilla";}

View File

@@ -1,20 +0,0 @@
. $stdenv/setup
buildPhase=myBuilder
myBuilder() {
qmake mythtv.pro || fail
make || fail
}
postInstall=postInstall
postInstall() {
sqlDir="$out/share/mythtv/sql"
ensureDir $sqlDir
cp -p ./database/mc.sql $sqlDir/
cp -p ./setup/setup $out/bin/mythsetup
}
genericBuild

View File

@@ -1,18 +0,0 @@
{stdenv, fetchurl, which, qt3, x11, libXinerama, libXv, libXxf86vm, lame}:
assert qt3.mysqlSupport;
stdenv.mkDerivation {
name = "mythtv-0.17";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/mythtv-0.17.tar.bz2;
md5 = "c996dc690d36e946396fc5cd4b715e3b";
};
patches = [./settings.patch];
buildInputs = [which qt3 x11 libXinerama libXv libXxf86vm lame];
inherit qt3;
}

View File

@@ -1,13 +0,0 @@
diff -rc mythtv-0.17-orig/settings.pro mythtv-0.17/settings.pro
*** mythtv-0.17-orig/settings.pro 2005-02-11 05:02:39.000000000 +0100
--- mythtv-0.17/settings.pro 2005-02-16 13:38:46.351279092 +0100
***************
*** 1,6 ****
--- 1,7 ----
#CONFIG += debug
CONFIG += release
+ PREFIX = $$(out)
isEmpty( PREFIX ) {
PREFIX = /usr/local
}

View File

@@ -9,7 +9,7 @@ stdenv.mkDerivation {
name = "vlc-0.7.2";
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/vlc-0.7.2.tar.gz;
url = http://download.videolan.org/pub/videolan/vlc/0.7.2/vlc-0.7.2.tar.gz;
md5 = "25dfcc804cb92f46c0b64ce1466515cc";
};

View File

@@ -1,11 +0,0 @@
{stdenv, fetchurl, x11, xineLib, libpng}:
stdenv.mkDerivation {
name = "xine-ui-0.99.3";
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/xine-ui-0.99.3.tar.gz;
md5 = "aa7805a93e511e3d67dc1bf09a71fcdd";
};
buildInputs = [x11 xineLib libpng];
configureFlags = "--without-readline";
}

View File

@@ -1,5 +1,7 @@
. $stdenv/setup
export PERL5LIB=$perlXMLParser/lib/site_perl:$PERL5LIB
# !!! hack
NIX_LDFLAGS="$NIX_LDFLAGS -rpath $libXext/lib"

View File

@@ -25,14 +25,14 @@ stdenv.mkDerivation {
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/zapping-0.7.tar.bz2;
url = http://heanet.dl.sourceforge.net/sourceforge/zapping/zapping-0.7.tar.bz2;
md5 = "dd7b3d920509709692c41c9c6c767746";
};
inherit teletextSupport jpegSupport pngSupport libXext;
inherit teletextSupport jpegSupport pngSupport libXext perlXMLParser;
buildInputs = [
pkgconfig perl perlXMLParser python x11 libXv libXmu libgnomeui
pkgconfig perl python x11 libXv libXmu libgnomeui
libglade scrollkeeper esound gettext
(if teletextSupport then zvbi else null)
(if jpegSupport then libjpeg else null)

View File

@@ -2,7 +2,7 @@
header "exporting $url (r$rev) into $out"
prefetch=$(dirname $out)/svn-checkout-tmp-$outputHash
prefetch=$(dirname $out)/svn-checkout-tmp-$md5
echo $prefetch
if test -e "$prefetch"; then
mv $prefetch $out
@@ -11,8 +11,8 @@ else
fi
actual=$(nix-hash $out)
if test "$actual" != "$outputHash"; then
echo "hash is $actual, expected $outputHash" >&2
if test "$actual" != "$md5"; then
echo "hash is $actual, expected $md5" >&2
exit 1
fi

View File

@@ -4,13 +4,6 @@ stdenv.mkDerivation {
name = "svn-export";
builder = ./builder.sh;
buildInputs = [subversion nix];
# Nix <= 0.7 compatibility.
id = md5;
outputHashAlgo = "md5";
outputHashMode = "recursive";
outputHash = md5;
inherit url rev;
inherit url rev md5;
}

View File

@@ -2,7 +2,6 @@
url=$1
rev=$2
hash=$3
if test -z "$url"; then
echo "syntax: nix-prefetch-svn URL [REVISION]" >&2
@@ -11,42 +10,27 @@ fi
test -n "$rev" || rev="HEAD"
# Determine the hash, unless it was given.
if test -z "$hash"; then
# !!! hacky; we should have a way to query the location of the store.
if storeDir=$(which nix-store); then
storeDir=$(dirname $(dirname "$storeDir"))/store
else
storeDir=/nix/store
fi
# !!! race? should be relatively safe, `svn export' barfs if $tmpPath exists.
tmpPath1=$storeDir/svn-checkout-tmp-$$
# Test whether we have write permission in the store. If not,
# fetch to /tmp and don't copy to the store. This is a hack to
# make this script at least work somewhat in setuid installations.
if ! touch $tmpPath1 2> /dev/null; then
echo "(cannot write to the store, result won't be cached)" >&2
dummyMode=1
tmpPath1=/tmp/nix-prefetch-svn-$$ # !!! security?
fi
# Perform the checkout.
svn export -r "$rev" "$url" $tmpPath1 >&2
# Compute the hash.
hash=$(nix-hash $tmpPath1)
echo "hash is $hash" >&2
# Rename it so that the fetchsvn builder can find it.
if test "$dummyMode" != 1; then
tmpPath2=$storeDir/svn-checkout-tmp-$hash
test -e $tmpPath2 || mv $tmpPath1 $tmpPath2 # !!! race
fi
# !!! hacky; we should have a way to query the location of the store.
if storeDir=$(which nix-store); then
storeDir=$(dirname $(dirname "$storeDir"))/store
else
storeDir=/nix/store
fi
# !!! race? should be relatively safe, `svn export' barfs if $tmpPath exists.
tmpPath1=$storeDir/svn-checkout-tmp-$$
# Perform the checkout.
svn export -r "$rev" "$url" $tmpPath1 >&2
# Compute the hash.
hash=$(nix-hash $tmpPath1)
echo "hash is $hash" >&2
# Rename it so that the fetchsvn builder can find it.
tmpPath2=$storeDir/svn-checkout-tmp-$hash
test -e $tmpPath2 || mv $tmpPath1 $tmpPath2 # !!! race
# Create a Nix expression that does a fetchsvn.
nixExpr=$(dirname $(readlink -f $0))/../../system/i686-linux.nix
storeExpr=$( \
@@ -54,16 +38,10 @@ storeExpr=$( \
| nix-instantiate -)
# Realise it.
finalPath=$(nix-store -r $storeExpr)
finalPath=$(nix-store -qnB --force-realise $storeExpr)
echo "path is $finalPath" >&2
if test -n "$tmpPath1" -o -n "$tmpPath2"; then
rm -rf $tmpPath1 $tmpPath2 || true
fi
rm -rf $tmpPath2 || true
echo $hash
if test -n "$PRINT_PATH"; then
echo $finalPath
fi

View File

@@ -4,16 +4,10 @@ header "downloading $out from $url"
curl --fail --location --max-redirs 20 "$url" > "$out"
if test "$NIX_OUTPUT_CHECKED" != "1"; then
if test "$outputHashAlgo" != "md5"; then
echo "hashes other than md5 are unsupported in Nix <= 0.7, upgrade to Nix 0.8"
exit 1
fi
actual=$(md5sum -b "$out" | cut -c1-32)
if test "$actual" != "$id"; then
echo "hash is $actual, expected $id"
exit 1
fi
actual=$(md5sum -b "$out" | cut -c1-32)
if test "$actual" != "$md5"; then
echo "hash is $actual, expected $md5"
exit 1
fi
stopNest

View File

@@ -1,26 +1,11 @@
# Argh, this thing is duplicated (more-or-less) in Nix (in corepkgs).
# Need to find a way to combine them.
{stdenv, curl}: {url, md5}:
{stdenv, curl}: # Note that `curl' may be `null', in case of the native stdenv.
{url, outputHash ? "", outputHashAlgo ? "", md5 ? "", sha1 ? "", sha256 ? ""}:
assert (outputHash != "" && outputHashAlgo != "")
|| md5 != "" || sha1 != "" || sha256 != "";
# Note that `curl' may be `null', in case of the native stdenv.
stdenv.mkDerivation {
name = baseNameOf (toString url);
builder = ./builder.sh;
buildInputs = [curl];
# Compatibility with Nix <= 0.7.
id = md5;
# New-style output content requirements.
outputHashAlgo = if outputHashAlgo != "" then outputHashAlgo else
if sha256 != "" then "sha256" else if sha1 != "" then "sha1" else "md5";
outputHash = if outputHash != "" then outputHash else
if sha256 != "" then sha256 else if sha1 != "" then sha1 else md5;
inherit url;
inherit url md5;
}

View File

@@ -1,5 +0,0 @@
export NIX_CFLAGS_COMPILE="@cflagsCompile@ $NIX_CFLAGS_COMPILE"
export NIX_CFLAGS_LINK="@cflagsLink@ $NIX_CFLAGS_LINK"
export NIX_LDFLAGS="@ldflags@ $NIX_LDFLAGS"
export NIX_LDFLAGS_BEFORE="@ldflagsBefore@ $NIX_LDFLAGS_BEFORE"
export NIX_GLIBC_FLAGS_SET=1

View File

@@ -1,5 +1,4 @@
. $stdenv/setup
. $substitute
# Force gcc to use ld-wrapper.sh when calling ld.
@@ -10,12 +9,8 @@ if test -z "$nativeGlibc"; then
# against the crt1.o from our own glibc, rather than the one in
# /usr/lib. The real solution is of course to prevent those paths
# from being used by gcc in the first place.
# The dynamic linker is passed in `ldflagsBefore' to allow
# explicit overrides of the dynamic linker by callers to gcc/ld
# (the *last* value counts, so ours should come first).
cflagsCompile="$cflagsCompile -B$glibc/lib -isystem $glibc/include"
ldflags="$ldflags -L$glibc/lib"
ldflagsBefore="-dynamic-linker $glibc/lib/ld-linux.so.2"
ldflags="$ldflags -L$glibc/lib -dynamic-linker $glibc/lib/ld-linux.so.2"
fi
if test -n "$nativeTools"; then
@@ -30,30 +25,9 @@ fi
mkdir $out
mkdir $out/bin
mkdir $out/nix-support
doSubstitute() {
local src=$1
local dst=$2
substitute "$src" "$dst" \
--subst-var "out" \
--subst-var "shell" \
--subst-var "gcc" \
--subst-var "gccProg" \
--subst-var "binutils" \
--subst-var "glibc" \
--subst-var "cflagsCompile" \
--subst-var "cflagsLink" \
--subst-var "ldflags" \
--subst-var "ldflagsBefore" \
--subst-var-by "ld" "$ldPath/ld"
}
# Make wrapper scripts around gcc, g++, and g77. Also make symlinks
# cc, c++, and f77.
mkGccWrapper() {
mkGccWrapper () {
local dst=$1
local src=$2
@@ -62,9 +36,12 @@ mkGccWrapper() {
return
fi
gccProg="$src"
doSubstitute "$gccWrapper" "$dst"
chmod +x "$dst"
sed \
-e "s^@gcc@^$src^g" \
-e "s^@out@^$out^g" \
-e "s^@shell@^$shell^g" \
< $gccWrapper > $dst
chmod +x $dst
}
mkGccWrapper $out/bin/gcc $gccPath/gcc
@@ -77,18 +54,30 @@ mkGccWrapper $out/bin/g77 $gccPath/g77
ln -s g77 $out/bin/f77
# Make a wrapper around the linker.
doSubstitute "$ldWrapper" "$out/bin/ld"
chmod +x "$out/bin/ld"
sed \
-e "s^@out@^$out^g" \
-e "s^@ldflags@^$ldflags^g" \
-e "s^@ld@^$ldPath/ld^g" \
-e "s^@shell@^$shell^g" \
< $ldWrapper > $out/bin/ld
chmod +x $out/bin/ld
# Emit a setup hook. Also store the path to the original GCC and
# Glibc.
mkdir $out/nix-support
test -n "$gcc" && echo $gcc > $out/nix-support/orig-gcc
test -n "$glibc" && echo $glibc > $out/nix-support/orig-glibc
doSubstitute "$addFlags" "$out/nix-support/add-flags"
cat > $out/nix-support/add-flags <<EOF
export NIX_CFLAGS_COMPILE="$cflagsCompile \$NIX_CFLAGS_COMPILE"
export NIX_CFLAGS_LINK="$cflagsLink \$NIX_CFLAGS_LINK"
export NIX_LDFLAGS="$ldflags \$NIX_LDFLAGS"
export NIX_GLIBC_FLAGS_SET=1
EOF
doSubstitute "$setupHook" "$out/nix-support/setup-hook"
sed \
-e "s^@gcc@^$gcc^g" \
-e "s^@binutils@^$binutils^g" \
-e "s^@glibc@^$glibc^g" \
< $setupHook > $out/nix-support/setup-hook
cp -p $utils $out/nix-support/utils

View File

@@ -15,12 +15,10 @@ assert !nativeGlibc -> glibc != null;
stdenv.mkDerivation {
builder = ./builder.sh;
substitute = ../substitute/substitute.sh;
setupHook = ./setup-hook.sh;
gccWrapper = ./gcc-wrapper.sh;
ldWrapper = ./ld-wrapper.sh;
utils = ./utils.sh;
addFlags = ./add-flags;
inherit nativeTools nativeGlibc nativePrefix gcc glibc binutils;
name = if name == "" then gcc.name else name;
langC = if nativeTools then true else gcc.langC;

View File

@@ -63,43 +63,35 @@ fi
# Add the flags for the C compiler proper.
extraAfter=($NIX_CFLAGS_COMPILE)
extraBefore=()
extra=($NIX_CFLAGS_COMPILE)
if test "$dontLink" != "1"; then
# Add the flags that should only be passed to the compiler when
# linking.
extraAfter=(${extraAfter[@]} $NIX_CFLAGS_LINK)
extra=(${extra[@]} $NIX_CFLAGS_LINK)
# Add the flags that should be passed to the linker (and prevent
# `ld-wrapper' from adding NIX_LDFLAGS again).
for i in $NIX_LDFLAGS_BEFORE; do
extraBefore=(${extraBefore[@]} "-Wl,$i")
done
for i in $NIX_LDFLAGS; do
extraAfter=(${extraAfter[@]} "-Wl,$i")
extra=(${extra[@]} "-Wl,$i")
done
export NIX_LDFLAGS_SET=1
if test "$NIX_STRIP_DEBUG" = "1"; then
# Add executable-stripping flags.
extraAfter=(${extraAfter[@]} $NIX_CFLAGS_STRIP)
extra=(${extra[@]} $NIX_CFLAGS_STRIP)
fi
fi
# Optionally print debug info.
if test "$NIX_DEBUG" = "1"; then
echo "original flags to @gccProg@:" >&2
echo "original flags to @gcc@:" >&2
for i in "${params[@]}"; do
echo " $i" >&2
done
echo "extraBefore flags to @gccProg@:" >&2
for i in ${extraBefore[@]}; do
echo " $i" >&2
done
echo "extraAfter flags to @gccProg@:" >&2
for i in ${extraAfter[@]}; do
echo "extra flags to @gcc@:" >&2
for i in ${extra[@]}; do
echo " $i" >&2
done
fi
@@ -108,4 +100,4 @@ if test -n "$NIX_GCC_WRAPPER_EXEC_HOOK"; then
. "$NIX_GCC_WRAPPER_EXEC_HOOK"
fi
exec @gccProg@ ${extraBefore[@]} "${params[@]}" ${extraAfter[@]}
exec @gcc@ "${params[@]}" ${extra[@]}

View File

@@ -42,11 +42,9 @@ fi
extra=()
extraBefore=()
if test -z "$NIX_LDFLAGS_SET"; then
extra=(${extra[@]} $NIX_LDFLAGS)
extraBefore=(${extraBefore[@]} $NIX_LDFLAGS_BEFORE)
fi
@@ -123,6 +121,7 @@ if test "$NIX_DONT_SET_RPATH" != "1"; then
for i in $rpath; do
extra=(${extra[@]} -rpath $i)
done
fi
@@ -142,4 +141,4 @@ if test -n "$NIX_LD_WRAPPER_EXEC_HOOK"; then
. "$NIX_LD_WRAPPER_EXEC_HOOK"
fi
exec @ld@ ${extraBefore[@]} "${params[@]}" ${extra[@]}
exec @ld@ "${params[@]}" ${extra[@]}

View File

@@ -1,74 +0,0 @@
makeWrapper() {
original=$1
wrapper=$2
ensureDir "$(dirname $wrapper)"
echo "#! $SHELL -e" > $wrapper
params=("$@")
for ((n = 2; n < ${#params[*]}; n += 1)); do
p=${params[$n]}
if test "$p" = "--set"; then
varName=${params[$((n + 1))]}
value=${params[$((n + 2))]}
n=$((n + 2))
echo "export $varName=$value" >> $wrapper
fi
if test "$p" = "--suffix" -o "$p" = "--prefix"; then
varName=${params[$((n + 1))]}
separator=${params[$((n + 2))]}
value=${params[$((n + 3))]}
n=$((n + 3))
if test -n "$value"; then
if test "$p" = "--suffix"; then
echo "export $varName=\$$varName\${$varName:+$separator}$value" >> $wrapper
else
echo "export $varName=$value\${$varName:+$separator}\$$varName" >> $wrapper
fi
fi
fi
if test "$p" = "--suffix-each"; then
varName=${params[$((n + 1))]}
separator=${params[$((n + 2))]}
values=${params[$((n + 3))]}
n=$((n + 3))
for value in $values; do
echo "export $varName=\$$varName\${$varName:+$separator}$value" >> $wrapper
done
fi
if test "$p" = "--suffix-contents"; then
varName=${params[$((n + 1))]}
separator=${params[$((n + 2))]}
fileNames=${params[$((n + 3))]}
n=$((n + 3))
for fileName in $fileNames; do
echo "export $varName=\$$varName\${$varName:+$separator}$(cat $fileName)" >> $wrapper
done
fi
done
echo "exec \"$original\" \"\$@\"" >> $wrapper
chmod +x $wrapper
}
addSuffix() {
suffix=$1
shift
for name in "$@"; do
echo "$name$suffix"
done
}
filterExisting() {
for fn in "$@"; do
if test -e "$fn"; then
echo "$fn"
fi
done
}

View File

@@ -1,5 +0,0 @@
. $stdenv/setup
. $substituter
substitute $dllFixer $out --subst-var-by perl $perl/bin/perl
chmod +x $out

View File

@@ -1,9 +0,0 @@
{stdenv, perl}:
stdenv.mkDerivation {
name = "mono-dll-fixer";
builder = ./builder.sh;
substituter = ../substitute/substitute.sh;
dllFixer = ./dll-fixer.pl;
inherit perl;
}

View File

@@ -1,32 +0,0 @@
#! @perl@ -w
use strict;
my @paths = split ' ', $ENV{"ALL_INPUTS"};
open IN, "<$ARGV[0]" or die;
open OUT, ">$ARGV[0].tmp" or die;
while (<IN>) {
# !!! should use a real XML library here.
if (!/<dllmap dll="(.*)" target="(.*)"\/>/) {
print OUT;
next;
}
my $dll = $1;
my $target = $2;
foreach my $path (@paths) {
my $fullPath = "$path/lib/$target";
if (-e "$fullPath") {
$target = $fullPath;
last;
}
}
print OUT " <dllmap dll=\"$dll\" target=\"$target\"/>\n";
}
close IN;
rename "$ARGV[0].tmp", "$ARGV[0]" or die "cannot rename $ARGV[0]";

View File

@@ -1,46 +0,0 @@
substitute() {
input=$1
output=$2
params=("$@")
sedArgs=()
for ((n = 2; n < ${#params[*]}; n += 1)); do
p=${params[$n]}
if test "$p" = "--replace"; then
pattern=${params[$((n + 1))]}
replacement=${params[$((n + 2))]}
n=$((n + 2))
sedArgs=("${sedArgs[@]}" "-e" "s^$pattern^$replacement^g")
fi
if test "$p" = "--subst-var"; then
varName=${params[$((n + 1))]}
n=$((n + 1))
sedArgs=("${sedArgs[@]}" "-e" "s^@${varName}@^${!varName}^g")
fi
if test "$p" = "--subst-var-by"; then
varName=${params[$((n + 1))]}
replacement=${params[$((n + 2))]}
n=$((n + 2))
sedArgs=("${sedArgs[@]}" "-e" "s^@${varName}@^$replacement^g")
fi
done
sed "${sedArgs[@]}" < "$input" > "$output".tmp
if test -x "$output"; then
chmod +x "$output".tmp
fi
mv -f "$output".tmp "$output"
}
substituteInPlace() {
fileName="$1"
shift
substitute "$fileName" "$fileName" "$@"
}

View File

@@ -6,7 +6,7 @@ stdenv.mkDerivation {
name = "docbook-xml-4.2";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/docbook-xml-4.2.zip;
url = http://www.docbook.org/xml/4.2/docbook-xml-4.2.zip;
md5 = "73fe50dfe74ca631c1602f558ed8961f";
};
buildInputs = [unzip];

View File

@@ -6,7 +6,7 @@ stdenv.mkDerivation {
name = "docbook-xml-4.3";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/docbook-xml-4.3.zip;
url = http://www.docbook.org/xml/4.3/docbook-xml-4.3.zip;
md5 = "ab200202b9e136a144db1e0864c45074";
};
buildInputs = [unzip];

View File

@@ -2,6 +2,7 @@
mkdir -p $out/xml/dtd/docbook-ebnf
cd $out/xml/dtd/docbook-ebnf
cp -p $dtd dbebnf.dtd
stripHash $dtd
cp -p $dtd $strippedName
stripHash $catalog
cp -p $catalog $strippedName

View File

@@ -6,7 +6,7 @@ stdenv.mkDerivation {
name = "docbook-xml-ebnf-1.2b1";
builder = ./builder.sh;
dtd = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/dbebnf-1.2b1.dtd;
url = http://www.docbook.org/xml/ebnf/1.2b1/dbebnf.dtd;
md5 = "e50f7d38caf4285965c7a247e026fa7c";
};
catalog = ./docbook-ebnf.cat;

View File

@@ -1,10 +1,10 @@
{stdenv, fetchurl}:
stdenv.mkDerivation {
name = "docbook-xsl-1.68.1";
name = "docbook-xsl-1.65.1";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/docbook-xsl-1.68.1.tar.bz2;
md5 = "f4985efbc0f3411af8106928f8752fc5";
url = http://heanet.dl.sourceforge.net/sourceforge/docbook/docbook-xsl-1.65.1.tar.gz;
md5 = "2f7d446de5523ec34a19ccbe8caf387f";
};
}

View File

@@ -2,12 +2,12 @@
assert stdenv.system == "i686-linux";
(stdenv.mkDerivation {
stdenv.mkDerivation {
name = "blackdown-1.4.2";
dirname = "j2sdk1.4.2";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/j2sdk-1.4.2-rc1-linux-i586-gcc3.2.bin;
url = ftp://ftp.nluug.nl/pub/os/Linux/java/jdk/JDK-1.4.2/i386/rc1/j2sdk-1.4.2-rc1-linux-i586-gcc3.2.bin;
md5 = "52ff3a059845ee8487faeaa7b0c157c8";
};
}) // {mozillaPlugin = "/jre/plugin/i386/mozilla";}
}

View File

@@ -8,7 +8,7 @@ stdenv.mkDerivation {
name = "gcc-2.95.3";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/gcc-2.95.3.tar.gz;
url = ftp://ftp.gnu.org/pub/gnu/gcc/gcc-2.95.3.tar.gz;
md5 = "f3ad4f32c2296fad758ed051b5ac8e28";
};
# !!! apply only if noSysDirs is set

View File

@@ -8,7 +8,7 @@ stdenv.mkDerivation {
name = "gcc-3.3.3";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/gcc-3.3.3.tar.bz2;
url = ftp://ftp.nluug.nl/mirror/languages/gcc/releases/gcc-3.3.3/gcc-3.3.3.tar.bz2;
md5 = "3c6cfd9fcd180481063b4058cf6faff2";
};
inherit noSysDirs langC langCC langF77;

View File

@@ -6,11 +6,11 @@
assert langC;
stdenv.mkDerivation {
name = "gcc-3.4.3";
name = "gcc-3.4.2";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/gcc-3.4.3.tar.bz2;
md5 = "e744b30c834360fccac41eb7269a3011";
url = ftp://ftp.nluug.nl/mirror/languages/gcc/releases/gcc-3.4.2/gcc-3.4.2.tar.bz2;
md5 = "2fada3a3effd2fd791df09df1f1534b3";
};
# !!! apply only if noSysDirs is set
patches = [./no-sys-dirs.patch];

View File

@@ -4,7 +4,7 @@ stdenv.mkDerivation {
name = "gcc-static-3.4.2";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/gcc-3.4.2.tar.bz2;
url = ftp://ftp.nluug.nl/mirror/languages/gcc/releases/gcc-3.4.2/gcc-3.4.2.tar.bz2;
md5 = "2fada3a3effd2fd791df09df1f1534b3";
};
# !!! apply only if noSysDirs is set

View File

@@ -7,7 +7,7 @@ assert stdenv.system == "i686-linux";
stdenv.mkDerivation {
name = "ghc-6.2.1";
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/ghc-6.2.1-i386-unknown-linux.tar.bz2;
url = http://www.haskell.org/ghc/dist/6.2.1/ghc-6.2.1-i386-unknown-linux.tar.bz2;
md5 = "48d9d6b9f7bf1f15d69e8bd732ee254c";
};
buildInputs = [perl];

View File

@@ -5,7 +5,7 @@ assert perl != null && ghc != null && m4 != null;
stdenv.mkDerivation {
name = "ghc-6.2.1";
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/ghc-6.2.1-src.tar.bz2;
url = http://www.haskell.org/ghc/dist/6.2.1/ghc-6.2.1-src.tar.bz2;
md5 = "fa9f90fd6b8852679c5fc16509e94d7a";
};
buildInputs = [perl ghc m4];

View File

@@ -1,9 +0,0 @@
. $stdenv/setup
set -e
mkdir -p $out
cd $out
tar zxvf $src
mv ./usr/local/* .
rm -rf ./usr

View File

@@ -1,10 +0,0 @@
{stdenv, fetchurl}:
stdenv.mkDerivation {
name = "binary-gwydion-dylan-2.4.0";
builder = ./binary-builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/gwydion-dylan-2.4.0-x86-linux.tar.gz;
md5 = "52643ad51a455d21fd4d5bf82d98914c";
};
}

View File

@@ -1,8 +0,0 @@
. $stdenv/setup
export DYLANDIR=$dylan
export DYLANPATH=$dylan/lib/dylan/2.4.0/x86-linux-gcc
configureFlags="--with-existing-runtime=$dylan/lib/dylan/2.4.0/x86-linux-gcc"
export LD_LIBRARY_PATH="$dylan/lib/dylan/2.4.0/x86-linux-gcc:$LD_LIBRARY_PATH:$boehmgc/lib"
genericBuild

View File

@@ -1,13 +0,0 @@
{stdenv, fetchurl, dylan, boehmgc, perl, flex, yacc, readline}:
stdenv.mkDerivation {
name = "gwydion-dylan-2.4.0";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/gwydion-dylan-2.4.0.tar.gz;
md5 = "7ed180bf4ef11e8e8da3bd78b45477a8";
};
inherit boehmgc dylan perl;
buildInputs = [boehmgc dylan perl flex yacc readline];
}

View File

@@ -1,12 +0,0 @@
{stdenv, fetchurl, bison, pkgconfig, glib}:
stdenv.mkDerivation {
name = "mono-1.1.4";
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/mono-1.1.4.tar.gz;
md5 = "66755e5f201e912cecdd19807ba62487";
};
buildInputs = [bison pkgconfig glib];
propagatedBuildInputs = [glib];
}

View File

@@ -4,7 +4,7 @@ stdenv.mkDerivation {
name = "nasm-0.98.38";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/nasm-0.98.38.tar.bz2;
url = http://heanet.dl.sourceforge.net/sourceforge/nasm/nasm-0.98.38.tar.bz2;
md5 = "9f682490c132b070d54e395cb6ee145e";
};
}

View File

@@ -4,7 +4,7 @@ stdenv.mkDerivation {
name = "ocaml-3.08.0";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/ocaml-3.08.0.tar.gz;
url = http://caml.inria.fr/distrib/ocaml-3.08/ocaml-3.08.0.tar.gz;
md5 = "c6ef478362295c150101cdd2efcd38e0";
};
configureScript = ./configure;

View File

@@ -1,2 +1,2 @@
import ./strategoxt-0.13.nix
import ./strategoxt-0.11.nix

View File

@@ -1,18 +0,0 @@
{stdenv, fetchurl, aterm, sdf}:
stdenv.mkDerivation {
name = "strategoxt-0.12";
builder = ./builder.sh;
src = fetchurl {
url = ftp://ftp.stratego-language.org/pub/stratego/StrategoXT/strategoxt-0.12.tar.gz;
md5 = "bc2b14d9b53a07fc0047c16f2c6edf0c";
};
inherit aterm;
inherit (sdf) sglr pgen ptsupport asflibrary;
buildInputs = [aterm sdf.pgen];
}

View File

@@ -1,18 +0,0 @@
{stdenv, fetchurl, aterm, sdf}:
stdenv.mkDerivation {
name = "strategoxt-0.13";
builder = ./builder.sh;
src = fetchurl {
url = ftp://ftp.stratego-language.org/pub/stratego/StrategoXT/strategoxt-0.13/strategoxt-0.13.tar.gz;
md5 = "783bea5d5ebc0604e7ecf5bfb8f7f7b1";
};
inherit aterm;
inherit (sdf) sglr pgen ptsupport asflibrary;
buildInputs = [aterm sdf.pgen];
}

View File

@@ -4,7 +4,7 @@ stdenv.mkDerivation {
name = "clisp-2.33.2";
builder = ./builder.sh;
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/clisp-2.33.2.tar.bz2;
url = http://belnet.dl.sourceforge.net/sourceforge/clisp/clisp-2.33.2.tar.bz2;
md5 = "ee4ea316db1e843dcb16094bf500012f";
};

View File

@@ -1,11 +0,0 @@
{stdenv, fetchurl, ncurses, readline}:
stdenv.mkDerivation {
name = "guile-1.6.7";
src = fetchurl {
url = http://catamaran.labs.cs.uu.nl/dist/tarballs/guile-1.6.7.tar.gz;
md5 = "c2ff2a2231f0cbb2e838dd8701a587c5";
};
buildInputs = [ncurses readline];
}

Some files were not shown because too many files have changed in this diff Show More